<template>
  <div class="px-5">
      <v-card
        max-width="400"
        outlined
        flat
        class="mx-auto my-5"
      >
        <v-col
          cols="12"
        >
            <v-card
              class="card subtitle-1 pa-2 text-center"
              color="primary"
              dark
            >
                TOTAL NUMBER OF LEAVE
            </v-card>
             </v-col>
             <v-row
               justify="center"
               class="d-flex px-4"
              >
            <v-col class="d-flex" cols="12" sm="6">
              <v-select
                :value="casualleave"
                :items="items"
                outlined
                :rules="[v => !!v || 'leave is required']"
                label="Casual Leave"
                @change="$emit('update:casualleave', $event)"
                dense
               ></v-select>
            </v-col>
            <v-col class="d-flex" cols="12" sm="6">
              <v-select
                :value="medicalleave"
                :items="items"
                outlined
                :rules="[v => !!v || 'leave is required']"
                label="Medical Leave"
                @change="$emit('update:medicalleave', $event)"
                dense
             ></v-select>
           </v-col>
        </v-row>
      </v-card>
  </div>
</template>
<script>

export default {
  name: 'LeaveField',
  data() {
    return {
      items: [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20],
    };
  },
  props: {
    casualleave: {
      type: Number,
      required: true,
    },
    medicalleave: {
      type: Number,
      required: true,
    },
    loading: {
      type: Boolean,
    },
  },
  methods: {
  },

};
</script>

<style scoped>
.card {
  top: -20px;
}
</style>
